Index: plugins/blogroll/_public.php
===================================================================
--- plugins/blogroll/_public.php	(revision 945)
+++ plugins/blogroll/_public.php	(revision 776)
@@ -140,6 +140,5 @@
 		global $core;
 		
-		if (($w->homeonly == 1 && $core->url->type != 'default') ||
-			($w->homeonly == 2 && $core->url->type == 'default')) {
+		if ($w->homeonly && $core->url->type != 'default') {
 			return;
 		}
@@ -152,5 +151,5 @@
 		
 		return
-		'<div class="links'.($w->class ? ' '.html::escapeHTML($w->class) : '').'">'.
+		'<div class="links">'.
 		($w->title ? '<h2>'.html::escapeHTML($w->title).'</h2>' : '').
 		$links.
Index: plugins/blogroll/_widgets.php
===================================================================
--- plugins/blogroll/_widgets.php	(revision 954)
+++ plugins/blogroll/_widgets.php	(revision 270)
@@ -19,5 +19,5 @@
 	public static function initWidgets($w)
 	{
-		$w->create('links',__('Blogroll'),array('tplBlogroll','linksWidget'),null,'Blogroll list');
+		$w->create('links',__('Blogroll'),array('tplBlogroll','linksWidget'));
 		$w->links->setting('title',__('Title:'),__('Links'));
 		
@@ -34,12 +34,5 @@
 		$w->links->setting('category',__('Category'),'','combo',$categories);
 		
-		$w->links->setting('homeonly',__('Display on:'),1,'combo',
-			array(
-				__('All pages') => 0,
-				__('Home page only') => 1,
-				__('Except on home page') => 2
-				)
-		);
-		$w->links->setting('class',__('CSS class:'),'');
+		$w->links->setting('homeonly',__('Home page only'),1,'check');
 	}
 	
Index: plugins/blogroll/edit.php
===================================================================
--- plugins/blogroll/edit.php	(revision 907)
+++ plugins/blogroll/edit.php	(revision 270)
@@ -101,5 +101,5 @@
 {
 	if (!empty($_GET['upd'])) {
-		dcPage::message(__('Category has been successfully updated'));
+		echo '<p class="message">'.__('Category has been successfully updated').'</p>';
 	}
 	
@@ -121,5 +121,5 @@
 {
 	if (!empty($_GET['upd'])) {
-		dcPage::message(__('Link has been successfully updated'));
+		echo '<p class="message">'.__('Link has been successfully updated').'</p>';
 	}
 	
Index: plugins/blogroll/index.php
===================================================================
--- plugins/blogroll/index.php	(revision 907)
+++ plugins/blogroll/index.php	(revision 782)
@@ -219,21 +219,21 @@
 <?php
 if (!empty($_GET['neworder'])) {
-	dcPage::message(__('Items order has been successfully updated'));
+	echo '<p class="message">'.__('Items order has been successfully updated').'</p>';
 }
 
 if (!empty($_GET['removed'])) {
-	dcPage::message(__('Items have been successfully removed.'));
+		echo '<p class="message">'.__('Items have been successfully removed.').'</p>';
 }
 
 if (!empty($_GET['addlink'])) {
-	dcPage::message(__('Link has been successfully created.'));
+		echo '<p class="message">'.__('Link has been successfully created.').'</p>';
 }
 
 if (!empty($_GET['addcat'])) {
-	dcPage::message(__('category has been successfully created.'));
+		echo '<p class="message">'.__('category has been successfully created.').'</p>';
 }
 
 if (!empty($_GET['importlinks'])) {
-	dcPage::message(__('links have been successfully imported.'));
+		echo '<p class="message">'.__('links have been successfully imported.').'</p>';
 }
 ?>
@@ -242,10 +242,11 @@
 <form action="plugin.php" method="post" id="links-form">
 <table class="maximal dragable">
+<caption><?php echo __('Links list'); ?></caption>
 <thead>
 <tr>
-  <th colspan="3"><?php echo __('Title'); ?></th>
-  <th><?php echo __('Description'); ?></th>
-  <th><?php echo __('URL'); ?></th>
-  <th><?php echo __('Lang'); ?></th>
+  <th scope="col" colspan="3"><?php echo __('Title'); ?></th>
+  <th scope="col"><?php echo __('Description'); ?></th>
+  <th scope="col"><?php echo __('URL'); ?></th>
+  <th scope="col"><?php echo __('Lang'); ?></th>
 </tr>
 </thead>
@@ -265,12 +266,12 @@
 	{
 		echo
-		'<td colspan="5"><strong><a href="'.$p_url.'&amp;edit=1&amp;id='.$rs->link_id.'">'.
-		html::escapeHTML($rs->link_desc).'</a></strong></td>';
+		'<th scope="row" colspan="5"><strong><a href="'.$p_url.'&amp;edit=1&amp;id='.$rs->link_id.'">'.
+		html::escapeHTML($rs->link_desc).'</a></strong></th>';
 	}
 	else
 	{
 		echo
-		'<td><a href="'.$p_url.'&amp;edit=1&amp;id='.$rs->link_id.'">'.
-		html::escapeHTML($rs->link_title).'</a></td>'.
+		'<th scope="row"><a href="'.$p_url.'&amp;edit=1&amp;id='.$rs->link_id.'">'.
+		html::escapeHTML($rs->link_title).'</a></th>'.
 		'<td>'.html::escapeHTML($rs->link_desc).'</td>'.
 		'<td>'.html::escapeHTML($rs->link_href).'</td>'.
Index: plugins/blowupConfig/_define.php
===================================================================
--- plugins/blowupConfig/_define.php	(revision 967)
+++ plugins/blowupConfig/_define.php	(revision 464)
@@ -16,5 +16,5 @@
 	/* Description*/		"Configure your Blowup Theme",
 	/* Author */			"Olivier Meunier",
-	/* Version */			'1.2',
+	/* Version */			'1.1',
 	array(
 		'permissions' =>	'admin'
Index: plugins/blowupConfig/index.php
===================================================================
--- plugins/blowupConfig/index.php	(revision 907)
+++ plugins/blowupConfig/index.php	(revision 683)
@@ -228,10 +228,11 @@
 
 if (!$can_write_images) {
-	dcPage::message(__('For the following reasons, images cannot be created. You won\'t be able to change some background properties.').
-		$notices,false,true);
+	echo '<div class="message">'.
+		__('For the following reasons, images cannot be created. You won\'t be able to change some background properties.').
+		$notices.'</div>';
 }
 
 if (!empty($_GET['upd'])) {
-	dcPage::message(__('Theme configuration has been successfully updated.'));
+	echo '<p class="message">'.__('Theme configuration has been successfully updated.').'</p>';
 }
 
Index: plugins/fairTrackbacks/_prepend.php
===================================================================
--- plugins/fairTrackbacks/_prepend.php	(revision 857)
+++ plugins/fairTrackbacks/_prepend.php	(revision 270)
@@ -12,6 +12,4 @@
 if (!defined('DC_RC_PATH')) { return; }
 
-global $__autoload;
-
 if (!defined('DC_FAIRTRACKBACKS_FORCE')) {
 	define('DC_FAIRTRACKBACKS_FORCE',false);
Index: plugins/importExport/_admin.php
===================================================================
--- plugins/importExport/_admin.php	(revision 840)
+++ plugins/importExport/_admin.php	(revision 324)
@@ -2,7 +2,7 @@
 # -- BEGIN LICENSE BLOCK ---------------------------------------
 #
-# This file is part of importExport, a plugin for DotClear2.
+# This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2012 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
@@ -12,11 +12,12 @@
 if (!defined('DC_CONTEXT_ADMIN')) { return; }
 
-$_menu['Plugins']->addItem(
-	__('Import/Export'),
-	'plugin.php?p=importExport',
-	'index.php?pf=importExport/icon.png',
-	preg_match('/plugin.php\?p=importExport(&.*)?$/',$_SERVER['REQUEST_URI']),
-	$core->auth->check('admin',$core->blog->id)
-);
+$_menu['Plugins']->addItem(__('Import/Export'),'plugin.php?p=importExport','index.php?pf=importExport/icon.png',
+		preg_match('/plugin.php\?p=importExport(&.*)?$/',$_SERVER['REQUEST_URI']),
+		$core->auth->check('admin',$core->blog->id));
+
+# Files needed by flat files import / export
+$__autoload['backupFile'] = dirname(__FILE__).'/inc/flat/class.backupFile.php';
+$__autoload['dcImport'] = dirname(__FILE__).'/inc/flat/class.dc.import.php';
+$__autoload['dbExport'] = dirname(__FILE__).'/inc/flat/class.db.export.php';
 
 $core->addBehavior('adminDashboardFavs','importExportDashboardFavs');
@@ -24,12 +25,7 @@
 function importExportDashboardFavs($core,$favs)
 {
-	$favs['importExport'] = new ArrayObject(array(
-		'importExport',
-		__('Import/Export'),
-		'plugin.php?p=importExport',
-		'index.php?pf=importExport/icon.png',
-		'index.php?pf=importExport/icon-big.png',
-		'admin',null,null
-	));
+	$favs['importExport'] = new ArrayObject(array('importExport','Import/Export','plugin.php?p=importExport',
+		'index.php?pf=importExport/icon.png','index.php?pf=importExport/icon-big.png',
+		'admin',null,null));
 }
 ?>
Index: plugins/importExport/_define.php
===================================================================
--- plugins/importExport/_define.php	(revision 967)
+++ plugins/importExport/_define.php	(revision 464)
@@ -2,7 +2,7 @@
 # -- BEGIN LICENSE BLOCK ---------------------------------------
 #
-# This file is part of importExport, a plugin for DotClear2.
+# This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2012 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
@@ -15,7 +15,10 @@
 	/* Name */			"Import / Export",
 	/* Description*/		"Import and Export your blog",
-	/* Author */			"Olivier Meunier & Contributors",
-	/* Version */			'3.2',
-	/* Perm */			'admin'
+	/* Author */			"Olivier Meunier",
+	/* Version */			'2.4',
+	array(
+		'permissions' => 'admin',
+		'priority' => 10
+	)
 );
 ?>
Index: plugins/importExport/inc/class.dc.export.flat.php
===================================================================
--- plugins/importExport/inc/class.dc.export.flat.php	(revision 840)
+++ plugins/importExport/inc/class.dc.export.flat.php	(revision 557)
@@ -2,7 +2,7 @@
 # -- BEGIN LICENSE BLOCK ---------------------------------------
 #
-# This file is part of importExport, a plugin for DotClear2.
+# This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2012 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
@@ -16,5 +16,5 @@
 	public function setInfo()
 	{
-		$this->type = 'export';
+		$this->type = 'e';
 		$this->name = __('Flat file export');
 		$this->description = __('Exports a blog or a full Dotclear installation to flat file.');
@@ -31,5 +31,5 @@
 			try
 			{
-				$exp = new flatExport($this->core->con,$fullname,$this->core->prefix);
+				$exp = new dbExport($this->core->con,$fullname,$this->core->prefix);
 				fwrite($exp->fp,'///DOTCLEAR|'.DC_VERSION."|single\n");
 				
@@ -84,5 +84,4 @@
 				$_SESSION['export_file'] = $fullname;
 				$_SESSION['export_filename'] = $_POST['file_name'];
-				$_SESSION['export_filezip'] = !empty($_POST['file_zip']);
 				http::redirect($this->getURL().'&do=ok');
 			}
@@ -100,5 +99,5 @@
 			try
 			{
-				$exp = new flatExport($this->core->con,$fullname,$this->core->prefix);
+				$exp = new dbExport($this->core->con,$fullname,$this->core->prefix);
 				fwrite($exp->fp,'///DOTCLEAR|'.DC_VERSION."|full\n");
 				$exp->exportTable('blog');
@@ -124,5 +123,4 @@
 				$_SESSION['export_file'] = $fullname;
 				$_SESSION['export_filename'] = $_POST['file_name'];
-				$_SESSION['export_filezip'] = !empty($_POST['file_zip']);
 				http::redirect($this->getURL().'&do=ok');
 			}
@@ -142,47 +140,11 @@
 			
 			ob_end_clean();
-			
-			if (substr($_SESSION['export_filename'],-4) == '.zip') {
-				$_SESSION['export_filename'] = substr($_SESSION['export_filename'],0,-4);//.'.txt';
-			}
-			
-			# Flat export
-			if (empty($_SESSION['export_filezip'])) {
-			
-				header('Content-Disposition: attachment;filename='.$_SESSION['export_filename']);
-				header('Content-Type: text/plain; charset=UTF-8');
-				readfile($_SESSION['export_file']);
-				
-				unlink($_SESSION['export_file']);
-				unset($_SESSION['export_file'],$_SESSION['export_filename'],$_SESSION['export_filezip']);
-				exit;
-			}
-			# Zip export
-			else {
-				try
-				{
-					$file_zipname = $_SESSION['export_filename'].'.zip';
-					
-					$fp = fopen('php://output','wb');
-					$zip = new fileZip($fp);
-					$zip->addFile($_SESSION['export_file'],$_SESSION['export_filename']);
-					
-					header('Content-Disposition: attachment;filename='.$file_zipname);
-					header('Content-Type: application/x-zip');
-					
-					$zip->write();
-					
-					unlink($_SESSION['export_file']);
-					unset($zip,$_SESSION['export_file'],$_SESSION['export_filename'],$file_zipname);
-					exit;
-				}
-				catch (Exception $e)
-				{
-					unset($zip,$_SESSION['export_file'],$_SESSION['export_filename'],$file_zipname);
-					@unlink($_SESSION['export_file']);
-					
-					throw new Exception(__('Failed to compress export file.'));
-				}
-			}
+			header('Content-Disposition: attachment;filename='.$_SESSION['export_filename']);
+			header('Content-Type: text/plain; charset=UTF-8');
+			readfile($_SESSION['export_file']);
+			unlink($_SESSION['export_file']);
+			unset($_SESSION['export_file']);
+			unset($_SESSION['export_filename']);
+			exit;
 		}
 	}
@@ -192,25 +154,15 @@
 		echo
 		'<form action="'.$this->getURL(true).'" method="post">'.
-		'<fieldset><legend>'.__('Single blog').'</legend>'.
-		'<p>'.sprintf(__('This will create an export of your current blog: %s'),html::escapeHTML($this->core->blog->name)).'</p>'.
-		
-		'<p><label for="file_name">'.__('File name:').'</label>'.
-		form::field(array('file_name','file_name'),50,255,date('Y-m-d-').html::escapeHTML($this->core->blog->id.'-backup.txt')).
-		'</p>'.
-		
-		'<p><label for="file_zip" class="classic">'.
-		form::checkbox(array('file_zip','file_zip'),1).' '.
-		__('Compress file').'</label>'.
-		'</p>'.
-		
+		'<fieldset><legend>'.__('Export a blog').'</legend>'.
+		'<p>'.sprintf(__('This will create an export of your current blog: %s'),
+		'<strong>'.html::escapeHTML($this->core->blog->name).'</strong>').'</p>'.
+		'<p><label for="file_name" class="classic">'.__('File name:').'</label>'.
+		form::field(array('file_name','file_name'),25,255,date('Y-m-d-').html::escapeHTML($this->core->blog->id.'-backup.txt')).
+		'<input type="submit" value="'.__('Export').'" />'.
+		form::hidden(array('do'),'export_blog').
+		$this->core->formNonce().'</p>'.
 		'<p class="zip-dl"><a href="media.php?d=&amp;zipdl=1">'.
 		__('You may also want to download your media directory as a zip file').'</a></p>'.
-		
-		'<p><input type="submit" value="'.__('Export').'" />'.
-		form::hidden(array('do'),'export_blog').
-		$this->core->formNonce().'</p>'.
-		
-		'</fieldset>'.
-		'</form>';
+		'</fieldset></form>';
 		
 		if ($this->core->auth->isSuperAdmin())
@@ -218,22 +170,11 @@
 			echo
 			'<form action="'.$this->getURL(true).'" method="post">'.
-			'<fieldset><legend>'.__('Multiple blogs').'</legend>'.
-			'<p>'.__('This will create an export of all the content of your database.').'</p>'.
-			
-			'<p><label for="file_name2">'.__('File name:').'</label>'.
-			form::field(array('file_name','file_name2'),50,255,date('Y-m-d-').'dotclear-backup.txt').
-			'</p>'.
-			
-			'<p><label for="file_zip2" class="classic">'.
-			form::checkbox(array('file_zip','file_zip2'),1).' '.
-			__('Compress file').'</label>'.
-			'</p>'.
-			
-			'<p><input type="submit" value="'.__('Export').'" />'.
+			'<fieldset><legend>'.__('Export all content').'</legend>'.
+			'<p><label for="file_name2" class="classic">'.__('File name:').'</label>'.
+			form::field(array('file_name','file_name2'),25,255,date('Y-m-d-').'dotclear-backup.txt').
+			'<input type="submit" value="'.__('Export all content').'" />'.
 			form::hidden(array('do'),'export_all').
 			$this->core->formNonce().'</p>'.
-			
-			'</fieldset>'.
-			'</form>';
+			'</fieldset></form>';
 		}
 	}
Index: plugins/importExport/inc/class.dc.ieModule.php
===================================================================
--- plugins/importExport/inc/class.dc.ieModule.php	(revision 840)
+++ plugins/importExport/inc/class.dc.ieModule.php	(revision 270)
@@ -2,7 +2,7 @@
 # -- BEGIN LICENSE BLOCK ---------------------------------------
 #
-# This file is part of importExport, a plugin for DotClear2.
+# This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2012 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
@@ -12,5 +12,5 @@
 if (!defined('DC_RC_PATH')) { return; }
 
-abstract class dcIeModule
+class dcIeModule
 {
 	public $type;
@@ -28,14 +28,14 @@
 		$this->setInfo();
 		
-		if (!in_array($this->type,array('import','export'))) {
-			throw new Exception(sprintf('Unknow type for module %s',get_class($this)));
+		$this->id = get_class($this);
+		if (!$this->type) {
+			throw new Exception('No type for module'.$this->id);
 		}
+		
+		$this->url = 'plugin.php?p=importExport&t='.$this->type.'&f='.$this->id;
 		
 		if (!$this->name) {
 			$this->name = get_class($this);
 		}
-		
-		$this->id = get_class($this);
-		$this->url = sprintf('plugin.php?p=importExport&type=%s&module=%s',$this->type,$this->id);
 	}
 	
@@ -44,14 +44,23 @@
 	}
 	
-	abstract protected function setInfo();
+	protected function setInfo()
+	{
+	}
 	
 	final public function getURL($escape=false)
 	{
-		return $escape ? html::escapeHTML($this->url) : $this->url;
+		if ($escape) {
+			return html::escapeHTML($this->url);
+		}
+		return $this->url;
 	}
 	
-	abstract public function process($do);
+	public function process($do)
+	{
+	}
 	
-	abstract public function gui();
+	public function gui()
+	{
+	}
 	
 	protected function progressBar($percent)
Index: plugins/importExport/inc/class.dc.import.dc1.php
===================================================================
--- plugins/importExport/inc/class.dc.import.dc1.php	(revision 840)
+++ plugins/importExport/inc/class.dc.import.dc1.php	(revision 270)
@@ -2,7 +2,7 @@
 # -- BEGIN LICENSE BLOCK ---------------------------------------
 #
-# This file is part of importExport, a plugin for DotClear2.
+# This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2012 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
@@ -40,5 +40,5 @@
 	protected function setInfo()
 	{
-		$this->type = 'import';
+		$this->type = 'i';
 		$this->name = __('Dotclear 1.2 import');
 		$this->description = __('Import a Dotclear 1.2 installation into your current blog.');
Index: plugins/importExport/inc/class.dc.import.feed.php
===================================================================
--- plugins/importExport/inc/class.dc.import.feed.php	(revision 907)
+++ plugins/importExport/inc/class.dc.import.feed.php	(revision 557)
@@ -2,7 +2,7 @@
 # -- BEGIN LICENSE BLOCK ---------------------------------------
 #
-# This file is part of importExport, a plugin for DotClear2.
+# This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2012 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
@@ -19,5 +19,5 @@
 	public function setInfo()
 	{
-		$this->type = 'import';
+		$this->type = 'i';
 		$this->name = __('Feed import');
 		$this->description = __('Imports a feed as new entries.');
@@ -77,21 +77,20 @@
 	{
 		if ($this->status) {
-			dcPage::message(__('Content successfully imported.'));
+			echo '<p class="message">'.__('Content successfully imported.').'</p>';
 		}
 		
 		echo
+		'<h3>'.__('Import from a feed').'</h3>'.
+		'<p>'.sprintf(__('This will import a feed (RSS or Atom) a as new content in the current blog: %s.'),
+		'<strong>'.html::escapeHTML($this->core->blog->name).'</strong>').'</p>'.
 		'<form action="'.$this->getURL(true).'" method="post">'.
-		'<fieldset><legend>'.__('Single blog').'</legend>'.
-		'<p>'.sprintf(__('This will import a feed (RSS or Atom) a as new content in the current blog: %s.'),html::escapeHTML($this->core->blog->name)).'</p>'.
 		
-		'<p><label for="feed_url">'.__('Feed URL:').'</label>'.
-		form::field('feed_url',50,300,html::escapeHTML($this->feed_url)).'</p>'.
-		
-		'<p>'.
+		'<div class="fieldset">'.
 		$this->core->formNonce().
 		form::hidden(array('do'),1).
-		'<input type="submit" value="'.__('Import').'" /></p>'.
-		
-		'</fieldset>'.
+		'<p><label for="feed_url">'.__('Feed URL:').'</label>'.
+		form::field('feed_url',40,300,html::escapeHTML($this->feed_url)).'</p>'.
+		'<p><input type="submit" value="'.__('Import').'" /></p>'.
+		'</div>'.
 		'</form>';
 	}
Index: plugins/importExport/inc/class.dc.import.flat.php
===================================================================
--- plugins/importExport/inc/class.dc.import.flat.php	(revision 939)
+++ plugins/importExport/inc/class.dc.import.flat.php	(revision 557)
@@ -2,7 +2,7 @@
 # -- BEGIN LICENSE BLOCK ---------------------------------------
 #
-# This file is part of importExport, a plugin for DotClear2.
+# This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2012 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
@@ -18,5 +18,5 @@
 	public function setInfo()
 	{
-		$this->type = 'import';
+		$this->type = 'i';
 		$this->name = __('Flat file import');
 		$this->description = __('Imports a blog or a full Dotclear installation from flat file.');
@@ -55,17 +55,7 @@
 			
 			try {
-				# Try to unzip file
-				$unzip_file = $this->unzip($file);
-				if (false !== $unzip_file) {
-					$bk = new flatImport($this->core,$unzip_file);
-				}
-				# Else this is a normal file
-				else {
-					$bk = new flatImport($this->core,$file);
-				}
-				
+				$bk = new dcImport($this->core,$file);
 				$bk->importSingle();
 			} catch (Exception $e) {
-				@unlink($unzip_file);
 				if ($to_unlink) {
 					@unlink($file);
@@ -73,5 +63,4 @@
 				throw $e;
 			}
-			@unlink($unzip_file);
 			if ($to_unlink) {
 				@unlink($file);
@@ -106,17 +95,7 @@
 			
 			try {
-				# Try to unzip file
-				$unzip_file = $this->unzip($file);
-				if (false !== $unzip_file) {
-					$bk = new flatImport($this->core,$unzip_file);
-				}
-				# Else this is a normal file
-				else {
-					$bk = new flatImport($this->core,$file);
-				}
-				
+				$bk = new dcImport($this->core,$file);
 				$bk->importFull();
 			} catch (Exception $e) {
-				@unlink($unzip_file);
 				if ($to_unlink) {
 					@unlink($file);
@@ -124,5 +103,4 @@
 				throw $e;
 			}
-			@unlink($unzip_file);
 			if ($to_unlink) {
 				@unlink($file);
@@ -142,15 +120,12 @@
 		if ($this->status == 'single')
 		{
-			dcPage::message(__('Single blog successfully imported.'));
+			echo '<p class="message">'.__('Single blog successfully imported.').'</p>';
 			return;
 		}
 		if ($this->status == 'full')
 		{
-			dcPage::message(__('Content successfully imported.'));
+			echo '<p class="message">'.__('Content successfully imported.').'</p>';
 			return;
 		}
-		
-		$public_files = array_merge(array('-' => ''),$this->getPublicFiles());
-		$has_files = (boolean) (count($public_files) - 1);
 		
 		echo
@@ -180,28 +155,29 @@
 		
 		echo
+		'<h3>'.__('Import a single blog').'</h3>'.
+		'<p>'.sprintf(__('This will import a single blog backup as new content in the current blog: %s.'),
+		'<strong>'.html::escapeHTML($this->core->blog->name).'</strong>').'</p>'.
 		'<form action="'.$this->getURL(true).'" method="post" enctype="multipart/form-data">'.
-		'<fieldset><legend>'.__('Single blog').'</legend>'.
-		'<p>'.sprintf(__('This will import a single blog backup as new content in the current blog: %s.'),html::escapeHTML($this->core->blog->name)).'</p>'.
-		
-		'<p><label for="up_single_file">'.__('Upload a backup file').
-		' ('.sprintf(__('Maximum size %s'),files::size(DC_MAX_UPLOAD_SIZE)).')'.'</label>'.
-		'<input type="file" id="up_single_file" name="up_single_file" size="20" />'.
-		'</p>';
-		
-		if ($has_files) {
-			echo 
-			'<p><label for="public_single_file">'.__('or pick up a local file in your public directory').' '.
-			form::combo('public_single_file',$public_files).
-			'</label></p>';
-		}
-		
-		echo 
-		'<p>'.
+		
+		'<div class="fieldset">'.
 		$this->core->formNonce().
 		form::hidden(array('do'),1).
 		form::hidden(array('MAX_FILE_SIZE'),DC_MAX_UPLOAD_SIZE).
-		'<input type="submit" value="'.__('Import').'" /></p>'.
-		
-		'</fieldset>'.
+		'<p><label for="up_single_file">'.__('Upload a backup file').'</label>'.
+		'<input type="file" id="up_single_file" name="up_single_file" size="20" />'.
+		'</p>';
+		
+		$public_files = $this->getPublicFiles();
+		
+		$empty = empty($public_files);
+		$public_files = array_merge(array('-' => ''),$public_files);
+		echo
+		'<p><label for="public_single_file">'.__('or pick up a local file in your public directory').' '.
+		form::combo('public_single_file',$public_files, '', '', '', $empty).
+		'</label></p>';
+		
+		echo
+		'<p><input type="submit" value="'.__('Import').'" /></p>'.
+		'</div>'.
 		'</form>';
 		
@@ -209,31 +185,29 @@
 		{
 			echo
+			'<h3>'.__('Import a full backup file').'</h3>'.
 			'<form action="'.$this->getURL(true).'" method="post" enctype="multipart/form-data" id="formfull">'.
-			'<fieldset><legend>'.__('Multiple blogs').'</legend>'.
-			'<p>'.__('This will reset all the content of your database, except users.').'</p>'.
-			
-			'<p><label for="up_full_file">'.__('Upload a backup file').
-			' ('.sprintf(__('Maximum size %s'),files::size(DC_MAX_UPLOAD_SIZE)).')'.'</label>'.
-			'<input type="file" id="up_full_file" name="up_full_file" size="20" />'.
-			'</p>';
-			
-			if ($has_files) {
-				echo 
-				'<p><label for="public_full_file">'.__('or pick up a local file in your public directory').'</label>'.
-				form::combo('public_full_file',$public_files).
-				'</p>';
-			}
-			
-			echo
-			'<p><label for="your_pwd" class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Your password:').'</label>'.
-			form::password('your_pwd',20,255).'</p>'.
-			
-			'<p>'.
+			'<div>'.form::hidden(array('MAX_FILE_SIZE'),DC_MAX_UPLOAD_SIZE).'</div>'.
+			
+			'<div class="fieldset">'.
 			$this->core->formNonce().
 			form::hidden(array('do'),1).
 			form::hidden(array('MAX_FILE_SIZE'),DC_MAX_UPLOAD_SIZE).
-			'<input type="submit" value="'.__('Import').'" /></p>'.
-			
-			'</fieldset>'.
+			'<p><label for="up_full_file">'.__('Upload a backup file').'</label>'.
+			'<input type="file" id="up_full_file" name="up_full_file" size="20" />'.
+			'</p>';
+			
+			echo
+			'<p><label for="public_full_file">'.__('or pick up a local file in your public directory').'</label>'.
+			form::combo('public_full_file',$public_files, '', '', '', $empty).
+			'</p>';
+			
+			echo
+			'<p class="form-note warning"><strong>'.__('Warning: This will reset all the content of your database, except users.').'</strong></p>'.
+			
+			'<p><label for="your_pwd" class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Your password:').'</label>'.
+			form::password('your_pwd',20,255).'</p>'.
+			
+			'<p><input type="submit" value="'.__('Import').'" /></p>'.
+			'</div>'.
 			'</form>';
 		}
@@ -251,76 +225,13 @@
 				if (is_file($entry_path) && is_readable($entry_path))
 				{
-					# Do not test each zip file content here, its too long
-					if (substr($entry_path,-4) == '.zip') {
-							$public_files[$entry] = $entry_path;
-					}
-					elseif (self::checkFileContent($entry_path)) {
+					$fp = fopen($entry_path,'rb');
+					if (strpos(fgets($fp),'///DOTCLEAR|') === 0) {
 						$public_files[$entry] = $entry_path;
 					}
+					fclose($fp);
 				}
 			}
 		}
 		return $public_files;
-	}
-	
-	protected static function checkFileContent($entry_path)
-	{
-		$ret = false;
-		
-		$fp = fopen($entry_path,'rb');
-		$ret = strpos(fgets($fp),'///DOTCLEAR|') === 0;
-		fclose($fp);
-		
-		return $ret;
-	}
-	
-	private function unzip($file)
-	{
-		$zip = new fileUnzip($file);
-		
-		if ($zip->isEmpty()) {
-			$zip->close();
-			return false;//throw new Exception(__('File is empty or not a compressed file.'));
-		}
-		
-		foreach($zip->getFilesList() as $zip_file)
-		{
-			# Check zipped file name
-			if (substr($zip_file,-4) != '.txt') {
-				continue;
-			}
-			
-			# Check zipped file contents
-			$content = $zip->unzip($zip_file);
-			if (strpos($content,'///DOTCLEAR|') !== 0) {
-				unset($content);
-				continue;
-			}
-			
-			$target = path::fullFromRoot($zip_file,dirname($file));
-			
-			# Check existing files with same name
-			if (file_exists($target)) {
-				$zip->close();
-				unset($content);
-				throw new Exception(__('Another file with same name exists.'));
-			}
-			
-			# Extract backup content
-			if (file_put_contents($target,$content) === false) {
-				$zip->close();
-				unset($content);
-				throw new Exception(__('Failed to extract backup file.'));
-			}
-			
-			$zip->close();
-			unset($content);
-			
-			# Return extracted file name
-			return $target;
-		}
-		
-		$zip->close();
-		throw new Exception(__('No backup in compressed file.'));
 	}
 }
Index: plugins/importExport/inc/class.dc.import.wp.php
===================================================================
--- plugins/importExport/inc/class.dc.import.wp.php	(revision 840)
+++ plugins/importExport/inc/class.dc.import.wp.php	(revision 270)
@@ -2,7 +2,7 @@
 # -- BEGIN LICENSE BLOCK ---------------------------------------
 #
-# This file is part of importExport, a plugin for DotClear2.
+# This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2012 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
@@ -61,5 +61,5 @@
 	protected function setInfo()
 	{
-		$this->type = 'import';
+		$this->type = 'i';
 		$this->name = __('WordPress import');
 		$this->description = __('Import a WordPress installation into your current blog.');
@@ -621,12 +621,6 @@
 		
 		$cur->post_format = $this->vars['post_formater'];
-		$_post_content = explode('<!--more-->',$rs->post_content,2);
-		if (count($_post_content) == 1) {
-			$cur->post_excerpt = NULL;
-			$cur->post_content = $this->cleanStr(array_shift($_post_content));
-		} else {
-			$cur->post_excerpt = $this->cleanStr(array_shift($_post_content));
-			$cur->post_content = $this->cleanStr(array_shift($_post_content));
-		}
+		$cur->post_content = $this->cleanStr($rs->post_content);
+		$cur->post_excerpt = $this->cleanStr($rs->post_excerpt);
 		
 		$cur->post_content_xhtml = $this->core->callFormater($this->vars['post_formater'],$cur->post_content);
@@ -702,5 +696,5 @@
 			$cur->comment_trackback       = $rs->comment_type == 'trackback' ? 1 : 0;
 			$cur->comment_site = substr($this->cleanStr($rs->comment_author_url),0,255);
-			if ($cur->comment_site == '') $cur->comment_site = NULL;
+			if (!isset($cur->comment_site)) $cur->comment_site = NULL;
 			
 			if ($rs->comment_approved == 'spam') {
